Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network207.7.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
207.7.0.0
Broadcast address
207.7.127.255
First usable
207.7.0.1
Last usable
207.7.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
C (default /24)
As numbers
Hex CF070000 · Integer 3473342464 to 3473375231
Reverse DNS zones
0.7.207.in-addr.arpa
1.7.207.in-addr.arpa
2.7.207.in-addr.arpa
3.7.207.in-addr.arpa
4.7.207.in-addr.arpa
5.7.207.in-addr.arpa
6.7.207.in-addr.arpa
7.7.207.in-addr.arpa
8.7.207.in-addr.arpa
9.7.207.in-addr.arpa
10.7.207.in-addr.arpa
11.7.207.in-addr.arpa
12.7.207.in-addr.arpa
13.7.207.in-addr.arpa
14.7.207.in-addr.arpa
15.7.207.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001111.00000111.00000000.00000000207.7.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11001111.00000111.00000000.00000000207.7.0.0
Broadcast11001111.00000111.01111111.11111111207.7.127.255
Split into smaller subnets/27

207.7.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1207.7.0.0/27207.7.0.1 to 207.7.0.30207.7.0.3130
2207.7.0.32/27207.7.0.33 to 207.7.0.62207.7.0.6330
3207.7.0.64/27207.7.0.65 to 207.7.0.94207.7.0.9530
4207.7.0.96/27207.7.0.97 to 207.7.0.126207.7.0.12730
5207.7.0.128/27207.7.0.129 to 207.7.0.158207.7.0.15930
6207.7.0.160/27207.7.0.161 to 207.7.0.190207.7.0.19130
7207.7.0.192/27207.7.0.193 to 207.7.0.222207.7.0.22330
8207.7.0.224/27207.7.0.225 to 207.7.0.254207.7.0.25530
9207.7.1.0/27207.7.1.1 to 207.7.1.30207.7.1.3130
10207.7.1.32/27207.7.1.33 to 207.7.1.62207.7.1.6330
11207.7.1.64/27207.7.1.65 to 207.7.1.94207.7.1.9530
12207.7.1.96/27207.7.1.97 to 207.7.1.126207.7.1.12730
13207.7.1.128/27207.7.1.129 to 207.7.1.158207.7.1.15930
14207.7.1.160/27207.7.1.161 to 207.7.1.190207.7.1.19130
15207.7.1.192/27207.7.1.193 to 207.7.1.222207.7.1.22330
16207.7.1.224/27207.7.1.225 to 207.7.1.254207.7.1.25530
17207.7.2.0/27207.7.2.1 to 207.7.2.30207.7.2.3130
18207.7.2.32/27207.7.2.33 to 207.7.2.62207.7.2.6330
19207.7.2.64/27207.7.2.65 to 207.7.2.94207.7.2.9530
20207.7.2.96/27207.7.2.97 to 207.7.2.126207.7.2.12730
21207.7.2.128/27207.7.2.129 to 207.7.2.158207.7.2.15930
22207.7.2.160/27207.7.2.161 to 207.7.2.190207.7.2.19130
23207.7.2.192/27207.7.2.193 to 207.7.2.222207.7.2.22330
24207.7.2.224/27207.7.2.225 to 207.7.2.254207.7.2.25530
25207.7.3.0/27207.7.3.1 to 207.7.3.30207.7.3.3130
26207.7.3.32/27207.7.3.33 to 207.7.3.62207.7.3.6330
27207.7.3.64/27207.7.3.65 to 207.7.3.94207.7.3.9530
28207.7.3.96/27207.7.3.97 to 207.7.3.126207.7.3.12730
29207.7.3.128/27207.7.3.129 to 207.7.3.158207.7.3.15930
30207.7.3.160/27207.7.3.161 to 207.7.3.190207.7.3.19130
31207.7.3.192/27207.7.3.193 to 207.7.3.222207.7.3.22330
32207.7.3.224/27207.7.3.225 to 207.7.3.254207.7.3.25530
33207.7.4.0/27207.7.4.1 to 207.7.4.30207.7.4.3130
34207.7.4.32/27207.7.4.33 to 207.7.4.62207.7.4.6330
35207.7.4.64/27207.7.4.65 to 207.7.4.94207.7.4.9530
36207.7.4.96/27207.7.4.97 to 207.7.4.126207.7.4.12730
37207.7.4.128/27207.7.4.129 to 207.7.4.158207.7.4.15930
38207.7.4.160/27207.7.4.161 to 207.7.4.190207.7.4.19130
39207.7.4.192/27207.7.4.193 to 207.7.4.222207.7.4.22330
40207.7.4.224/27207.7.4.225 to 207.7.4.254207.7.4.25530
41207.7.5.0/27207.7.5.1 to 207.7.5.30207.7.5.3130
42207.7.5.32/27207.7.5.33 to 207.7.5.62207.7.5.6330
43207.7.5.64/27207.7.5.65 to 207.7.5.94207.7.5.9530
44207.7.5.96/27207.7.5.97 to 207.7.5.126207.7.5.12730
45207.7.5.128/27207.7.5.129 to 207.7.5.158207.7.5.15930
46207.7.5.160/27207.7.5.161 to 207.7.5.190207.7.5.19130
47207.7.5.192/27207.7.5.193 to 207.7.5.222207.7.5.22330
48207.7.5.224/27207.7.5.225 to 207.7.5.254207.7.5.25530
49207.7.6.0/27207.7.6.1 to 207.7.6.30207.7.6.3130
50207.7.6.32/27207.7.6.33 to 207.7.6.62207.7.6.6330
51207.7.6.64/27207.7.6.65 to 207.7.6.94207.7.6.9530
52207.7.6.96/27207.7.6.97 to 207.7.6.126207.7.6.12730
53207.7.6.128/27207.7.6.129 to 207.7.6.158207.7.6.15930
54207.7.6.160/27207.7.6.161 to 207.7.6.190207.7.6.19130
55207.7.6.192/27207.7.6.193 to 207.7.6.222207.7.6.22330
56207.7.6.224/27207.7.6.225 to 207.7.6.254207.7.6.25530
57207.7.7.0/27207.7.7.1 to 207.7.7.30207.7.7.3130
58207.7.7.32/27207.7.7.33 to 207.7.7.62207.7.7.6330
59207.7.7.64/27207.7.7.65 to 207.7.7.94207.7.7.9530
60207.7.7.96/27207.7.7.97 to 207.7.7.126207.7.7.12730
61207.7.7.128/27207.7.7.129 to 207.7.7.158207.7.7.15930
62207.7.7.160/27207.7.7.161 to 207.7.7.190207.7.7.19130
63207.7.7.192/27207.7.7.193 to 207.7.7.222207.7.7.22330
64207.7.7.224/27207.7.7.225 to 207.7.7.254207.7.7.25530
65207.7.8.0/27207.7.8.1 to 207.7.8.30207.7.8.3130
66207.7.8.32/27207.7.8.33 to 207.7.8.62207.7.8.6330
67207.7.8.64/27207.7.8.65 to 207.7.8.94207.7.8.9530
68207.7.8.96/27207.7.8.97 to 207.7.8.126207.7.8.12730
69207.7.8.128/27207.7.8.129 to 207.7.8.158207.7.8.15930
70207.7.8.160/27207.7.8.161 to 207.7.8.190207.7.8.19130
71207.7.8.192/27207.7.8.193 to 207.7.8.222207.7.8.22330
72207.7.8.224/27207.7.8.225 to 207.7.8.254207.7.8.25530
73207.7.9.0/27207.7.9.1 to 207.7.9.30207.7.9.3130
74207.7.9.32/27207.7.9.33 to 207.7.9.62207.7.9.6330
75207.7.9.64/27207.7.9.65 to 207.7.9.94207.7.9.9530
76207.7.9.96/27207.7.9.97 to 207.7.9.126207.7.9.12730
77207.7.9.128/27207.7.9.129 to 207.7.9.158207.7.9.15930
78207.7.9.160/27207.7.9.161 to 207.7.9.190207.7.9.19130
79207.7.9.192/27207.7.9.193 to 207.7.9.222207.7.9.22330
80207.7.9.224/27207.7.9.225 to 207.7.9.254207.7.9.25530
81207.7.10.0/27207.7.10.1 to 207.7.10.30207.7.10.3130
82207.7.10.32/27207.7.10.33 to 207.7.10.62207.7.10.6330
83207.7.10.64/27207.7.10.65 to 207.7.10.94207.7.10.9530
84207.7.10.96/27207.7.10.97 to 207.7.10.126207.7.10.12730
85207.7.10.128/27207.7.10.129 to 207.7.10.158207.7.10.15930
86207.7.10.160/27207.7.10.161 to 207.7.10.190207.7.10.19130
87207.7.10.192/27207.7.10.193 to 207.7.10.222207.7.10.22330
88207.7.10.224/27207.7.10.225 to 207.7.10.254207.7.10.25530
89207.7.11.0/27207.7.11.1 to 207.7.11.30207.7.11.3130
90207.7.11.32/27207.7.11.33 to 207.7.11.62207.7.11.6330
91207.7.11.64/27207.7.11.65 to 207.7.11.94207.7.11.9530
92207.7.11.96/27207.7.11.97 to 207.7.11.126207.7.11.12730
93207.7.11.128/27207.7.11.129 to 207.7.11.158207.7.11.15930
94207.7.11.160/27207.7.11.161 to 207.7.11.190207.7.11.19130
95207.7.11.192/27207.7.11.193 to 207.7.11.222207.7.11.22330
96207.7.11.224/27207.7.11.225 to 207.7.11.254207.7.11.25530
97207.7.12.0/27207.7.12.1 to 207.7.12.30207.7.12.3130
98207.7.12.32/27207.7.12.33 to 207.7.12.62207.7.12.6330
99207.7.12.64/27207.7.12.65 to 207.7.12.94207.7.12.9530
100207.7.12.96/27207.7.12.97 to 207.7.12.126207.7.12.12730
101207.7.12.128/27207.7.12.129 to 207.7.12.158207.7.12.15930
102207.7.12.160/27207.7.12.161 to 207.7.12.190207.7.12.19130
103207.7.12.192/27207.7.12.193 to 207.7.12.222207.7.12.22330
104207.7.12.224/27207.7.12.225 to 207.7.12.254207.7.12.25530
105207.7.13.0/27207.7.13.1 to 207.7.13.30207.7.13.3130
106207.7.13.32/27207.7.13.33 to 207.7.13.62207.7.13.6330
107207.7.13.64/27207.7.13.65 to 207.7.13.94207.7.13.9530
108207.7.13.96/27207.7.13.97 to 207.7.13.126207.7.13.12730
109207.7.13.128/27207.7.13.129 to 207.7.13.158207.7.13.15930
110207.7.13.160/27207.7.13.161 to 207.7.13.190207.7.13.19130
111207.7.13.192/27207.7.13.193 to 207.7.13.222207.7.13.22330
112207.7.13.224/27207.7.13.225 to 207.7.13.254207.7.13.25530
113207.7.14.0/27207.7.14.1 to 207.7.14.30207.7.14.3130
114207.7.14.32/27207.7.14.33 to 207.7.14.62207.7.14.6330
115207.7.14.64/27207.7.14.65 to 207.7.14.94207.7.14.9530
116207.7.14.96/27207.7.14.97 to 207.7.14.126207.7.14.12730
117207.7.14.128/27207.7.14.129 to 207.7.14.158207.7.14.15930
118207.7.14.160/27207.7.14.161 to 207.7.14.190207.7.14.19130
119207.7.14.192/27207.7.14.193 to 207.7.14.222207.7.14.22330
120207.7.14.224/27207.7.14.225 to 207.7.14.254207.7.14.25530
121207.7.15.0/27207.7.15.1 to 207.7.15.30207.7.15.3130
122207.7.15.32/27207.7.15.33 to 207.7.15.62207.7.15.6330
123207.7.15.64/27207.7.15.65 to 207.7.15.94207.7.15.9530
124207.7.15.96/27207.7.15.97 to 207.7.15.126207.7.15.12730
125207.7.15.128/27207.7.15.129 to 207.7.15.158207.7.15.15930
126207.7.15.160/27207.7.15.161 to 207.7.15.190207.7.15.19130
127207.7.15.192/27207.7.15.193 to 207.7.15.222207.7.15.22330
128207.7.15.224/27207.7.15.225 to 207.7.15.254207.7.15.25530
129207.7.16.0/27207.7.16.1 to 207.7.16.30207.7.16.3130
130207.7.16.32/27207.7.16.33 to 207.7.16.62207.7.16.6330
131207.7.16.64/27207.7.16.65 to 207.7.16.94207.7.16.9530
132207.7.16.96/27207.7.16.97 to 207.7.16.126207.7.16.12730
133207.7.16.128/27207.7.16.129 to 207.7.16.158207.7.16.15930
134207.7.16.160/27207.7.16.161 to 207.7.16.190207.7.16.19130
135207.7.16.192/27207.7.16.193 to 207.7.16.222207.7.16.22330
136207.7.16.224/27207.7.16.225 to 207.7.16.254207.7.16.25530
137207.7.17.0/27207.7.17.1 to 207.7.17.30207.7.17.3130
138207.7.17.32/27207.7.17.33 to 207.7.17.62207.7.17.6330
139207.7.17.64/27207.7.17.65 to 207.7.17.94207.7.17.9530
140207.7.17.96/27207.7.17.97 to 207.7.17.126207.7.17.12730
141207.7.17.128/27207.7.17.129 to 207.7.17.158207.7.17.15930
142207.7.17.160/27207.7.17.161 to 207.7.17.190207.7.17.19130
143207.7.17.192/27207.7.17.193 to 207.7.17.222207.7.17.22330
144207.7.17.224/27207.7.17.225 to 207.7.17.254207.7.17.25530
145207.7.18.0/27207.7.18.1 to 207.7.18.30207.7.18.3130
146207.7.18.32/27207.7.18.33 to 207.7.18.62207.7.18.6330
147207.7.18.64/27207.7.18.65 to 207.7.18.94207.7.18.9530
148207.7.18.96/27207.7.18.97 to 207.7.18.126207.7.18.12730
149207.7.18.128/27207.7.18.129 to 207.7.18.158207.7.18.15930
150207.7.18.160/27207.7.18.161 to 207.7.18.190207.7.18.19130
151207.7.18.192/27207.7.18.193 to 207.7.18.222207.7.18.22330
152207.7.18.224/27207.7.18.225 to 207.7.18.254207.7.18.25530
153207.7.19.0/27207.7.19.1 to 207.7.19.30207.7.19.3130
154207.7.19.32/27207.7.19.33 to 207.7.19.62207.7.19.6330
155207.7.19.64/27207.7.19.65 to 207.7.19.94207.7.19.9530
156207.7.19.96/27207.7.19.97 to 207.7.19.126207.7.19.12730
157207.7.19.128/27207.7.19.129 to 207.7.19.158207.7.19.15930
158207.7.19.160/27207.7.19.161 to 207.7.19.190207.7.19.19130
159207.7.19.192/27207.7.19.193 to 207.7.19.222207.7.19.22330
160207.7.19.224/27207.7.19.225 to 207.7.19.254207.7.19.25530
161207.7.20.0/27207.7.20.1 to 207.7.20.30207.7.20.3130
162207.7.20.32/27207.7.20.33 to 207.7.20.62207.7.20.6330
163207.7.20.64/27207.7.20.65 to 207.7.20.94207.7.20.9530
164207.7.20.96/27207.7.20.97 to 207.7.20.126207.7.20.12730
165207.7.20.128/27207.7.20.129 to 207.7.20.158207.7.20.15930
166207.7.20.160/27207.7.20.161 to 207.7.20.190207.7.20.19130
167207.7.20.192/27207.7.20.193 to 207.7.20.222207.7.20.22330
168207.7.20.224/27207.7.20.225 to 207.7.20.254207.7.20.25530
169207.7.21.0/27207.7.21.1 to 207.7.21.30207.7.21.3130
170207.7.21.32/27207.7.21.33 to 207.7.21.62207.7.21.6330
171207.7.21.64/27207.7.21.65 to 207.7.21.94207.7.21.9530
172207.7.21.96/27207.7.21.97 to 207.7.21.126207.7.21.12730
173207.7.21.128/27207.7.21.129 to 207.7.21.158207.7.21.15930
174207.7.21.160/27207.7.21.161 to 207.7.21.190207.7.21.19130
175207.7.21.192/27207.7.21.193 to 207.7.21.222207.7.21.22330
176207.7.21.224/27207.7.21.225 to 207.7.21.254207.7.21.25530
177207.7.22.0/27207.7.22.1 to 207.7.22.30207.7.22.3130
178207.7.22.32/27207.7.22.33 to 207.7.22.62207.7.22.6330
179207.7.22.64/27207.7.22.65 to 207.7.22.94207.7.22.9530
180207.7.22.96/27207.7.22.97 to 207.7.22.126207.7.22.12730
181207.7.22.128/27207.7.22.129 to 207.7.22.158207.7.22.15930
182207.7.22.160/27207.7.22.161 to 207.7.22.190207.7.22.19130
183207.7.22.192/27207.7.22.193 to 207.7.22.222207.7.22.22330
184207.7.22.224/27207.7.22.225 to 207.7.22.254207.7.22.25530
185207.7.23.0/27207.7.23.1 to 207.7.23.30207.7.23.3130
186207.7.23.32/27207.7.23.33 to 207.7.23.62207.7.23.6330
187207.7.23.64/27207.7.23.65 to 207.7.23.94207.7.23.9530
188207.7.23.96/27207.7.23.97 to 207.7.23.126207.7.23.12730
189207.7.23.128/27207.7.23.129 to 207.7.23.158207.7.23.15930
190207.7.23.160/27207.7.23.161 to 207.7.23.190207.7.23.19130
191207.7.23.192/27207.7.23.193 to 207.7.23.222207.7.23.22330
192207.7.23.224/27207.7.23.225 to 207.7.23.254207.7.23.25530
193207.7.24.0/27207.7.24.1 to 207.7.24.30207.7.24.3130
194207.7.24.32/27207.7.24.33 to 207.7.24.62207.7.24.6330
195207.7.24.64/27207.7.24.65 to 207.7.24.94207.7.24.9530
196207.7.24.96/27207.7.24.97 to 207.7.24.126207.7.24.12730
197207.7.24.128/27207.7.24.129 to 207.7.24.158207.7.24.15930
198207.7.24.160/27207.7.24.161 to 207.7.24.190207.7.24.19130
199207.7.24.192/27207.7.24.193 to 207.7.24.222207.7.24.22330
200207.7.24.224/27207.7.24.225 to 207.7.24.254207.7.24.25530
201207.7.25.0/27207.7.25.1 to 207.7.25.30207.7.25.3130
202207.7.25.32/27207.7.25.33 to 207.7.25.62207.7.25.6330
203207.7.25.64/27207.7.25.65 to 207.7.25.94207.7.25.9530
204207.7.25.96/27207.7.25.97 to 207.7.25.126207.7.25.12730
205207.7.25.128/27207.7.25.129 to 207.7.25.158207.7.25.15930
206207.7.25.160/27207.7.25.161 to 207.7.25.190207.7.25.19130
207207.7.25.192/27207.7.25.193 to 207.7.25.222207.7.25.22330
208207.7.25.224/27207.7.25.225 to 207.7.25.254207.7.25.25530
209207.7.26.0/27207.7.26.1 to 207.7.26.30207.7.26.3130
210207.7.26.32/27207.7.26.33 to 207.7.26.62207.7.26.6330
211207.7.26.64/27207.7.26.65 to 207.7.26.94207.7.26.9530
212207.7.26.96/27207.7.26.97 to 207.7.26.126207.7.26.12730
213207.7.26.128/27207.7.26.129 to 207.7.26.158207.7.26.15930
214207.7.26.160/27207.7.26.161 to 207.7.26.190207.7.26.19130
215207.7.26.192/27207.7.26.193 to 207.7.26.222207.7.26.22330
216207.7.26.224/27207.7.26.225 to 207.7.26.254207.7.26.25530
217207.7.27.0/27207.7.27.1 to 207.7.27.30207.7.27.3130
218207.7.27.32/27207.7.27.33 to 207.7.27.62207.7.27.6330
219207.7.27.64/27207.7.27.65 to 207.7.27.94207.7.27.9530
220207.7.27.96/27207.7.27.97 to 207.7.27.126207.7.27.12730
221207.7.27.128/27207.7.27.129 to 207.7.27.158207.7.27.15930
222207.7.27.160/27207.7.27.161 to 207.7.27.190207.7.27.19130
223207.7.27.192/27207.7.27.193 to 207.7.27.222207.7.27.22330
224207.7.27.224/27207.7.27.225 to 207.7.27.254207.7.27.25530
225207.7.28.0/27207.7.28.1 to 207.7.28.30207.7.28.3130
226207.7.28.32/27207.7.28.33 to 207.7.28.62207.7.28.6330
227207.7.28.64/27207.7.28.65 to 207.7.28.94207.7.28.9530
228207.7.28.96/27207.7.28.97 to 207.7.28.126207.7.28.12730
229207.7.28.128/27207.7.28.129 to 207.7.28.158207.7.28.15930
230207.7.28.160/27207.7.28.161 to 207.7.28.190207.7.28.19130
231207.7.28.192/27207.7.28.193 to 207.7.28.222207.7.28.22330
232207.7.28.224/27207.7.28.225 to 207.7.28.254207.7.28.25530
233207.7.29.0/27207.7.29.1 to 207.7.29.30207.7.29.3130
234207.7.29.32/27207.7.29.33 to 207.7.29.62207.7.29.6330
235207.7.29.64/27207.7.29.65 to 207.7.29.94207.7.29.9530
236207.7.29.96/27207.7.29.97 to 207.7.29.126207.7.29.12730
237207.7.29.128/27207.7.29.129 to 207.7.29.158207.7.29.15930
238207.7.29.160/27207.7.29.161 to 207.7.29.190207.7.29.19130
239207.7.29.192/27207.7.29.193 to 207.7.29.222207.7.29.22330
240207.7.29.224/27207.7.29.225 to 207.7.29.254207.7.29.25530
241207.7.30.0/27207.7.30.1 to 207.7.30.30207.7.30.3130
242207.7.30.32/27207.7.30.33 to 207.7.30.62207.7.30.6330
243207.7.30.64/27207.7.30.65 to 207.7.30.94207.7.30.9530
244207.7.30.96/27207.7.30.97 to 207.7.30.126207.7.30.12730
245207.7.30.128/27207.7.30.129 to 207.7.30.158207.7.30.15930
246207.7.30.160/27207.7.30.161 to 207.7.30.190207.7.30.19130
247207.7.30.192/27207.7.30.193 to 207.7.30.222207.7.30.22330
248207.7.30.224/27207.7.30.225 to 207.7.30.254207.7.30.25530
249207.7.31.0/27207.7.31.1 to 207.7.31.30207.7.31.3130
250207.7.31.32/27207.7.31.33 to 207.7.31.62207.7.31.6330
251207.7.31.64/27207.7.31.65 to 207.7.31.94207.7.31.9530
252207.7.31.96/27207.7.31.97 to 207.7.31.126207.7.31.12730
253207.7.31.128/27207.7.31.129 to 207.7.31.158207.7.31.15930
254207.7.31.160/27207.7.31.161 to 207.7.31.190207.7.31.19130
255207.7.31.192/27207.7.31.193 to 207.7.31.222207.7.31.22330
256207.7.31.224/27207.7.31.225 to 207.7.31.254207.7.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses